cURL
curl --request PUT \
--url https://api.vaultcord.com/developers/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://webhook.site/db95dcd7-8b4b-42a9-9d3b-bcb81e7f91c4",
"events": 6
}
'import requests
url = "https://api.vaultcord.com/developers/webhooks"
payload = {
"url": "https://webhook.site/db95dcd7-8b4b-42a9-9d3b-bcb81e7f91c4",
"events": 6
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://webhook.site/db95dcd7-8b4b-42a9-9d3b-bcb81e7f91c4', events: 6})
};
fetch('https://api.vaultcord.com/developers/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Successfully created webhook!"
}{
"success": false,
"message": "New login required #2"
}Webhooks
Add Webhook
Add REST API webhook for listening to events.
PUT
/
developers
/
webhooks
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the resource
Body
application/json
Data for the developers webhook
REST API endpoint URL for your website
Example:
"https://webhook.site/db95dcd7-8b4b-42a9-9d3b-bcb81e7f91c4"
Bitwise flag number for types of webhook events you want to receive. (1 = Marketplace Orders, 2 = Member Verified, 4 = Member Pull Started, 8 = Marketplace Refunds, Donation Paid = 16, New Market Seller = 32)
Example:
6
Was this page helpful?
⌘I